.SILENT:

all:
	cd frontend && pnpm install && cd ../backend && go mod tidy

fdev:
	cd frontend && pnpm dev

fbuild:
	cd frontend && pnpm build && npx serve .output/public/.

fupdate:
	pnpm up -i

docker:
	cd frontend && docker compose up -d

podman:
	cd frontend && podman-compose up -d && sudo rsync -avhP podman.container ~/.config/containers/systemd/$(pod)

favicon:
	cd frontend && node ./@dasig/scripts/node/generateFavicon.ts

logo:
	cd frontend && node ./@dasig/scripts/node/optimizeLogo.ts --size $(size)

image:
	cd frontend && node ./@dasig/scripts/node/optimizeImage.ts --name $(name) --size $(size)

background:
	cd frontend && node ./@dasig/scripts/node/optimizeBackground.ts